summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/installmisc.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/source4/script/installmisc.sh b/source4/script/installmisc.sh
index dab1b527ca..2fa2f96f1d 100755
--- a/source4/script/installmisc.sh
+++ b/source4/script/installmisc.sh
@@ -2,20 +2,21 @@
# install miscellaneous files
SRCDIR="$1"
-LIBDIR="$2"
-BINDIR="$3"
+JSDIR="$2"
+SETUPDIR="$3"
+BINDIR="$4"
cd $SRCDIR || exit 1
echo "Installing js libs"
-mkdir -p $LIBDIR/js || exit 1
-cp scripting/libjs/*.js $LIBDIR/js || exit 1
+mkdir -p $JSDIR || exit 1
+cp scripting/libjs/*.js $JSDIR/js || exit 1
echo "Installing setup templates"
-mkdir -p $LIBDIR/setup || exit 1
-cp setup/*.ldif $LIBDIR/setup || exit 1
-cp setup/*.zone $LIBDIR/setup || exit 1
-cp setup/*.conf $LIBDIR/setup || exit 1
+mkdir -p $SETUPDIR || exit 1
+cp setup/*.ldif $SETUPDIR || exit 1
+cp setup/*.zone $SETUPDIR || exit 1
+cp setup/*.conf $SETUPDIR || exit 1
echo "Installing script tools"
mkdir -p "$BINDIR"